FlyEnemy = class(CloudEnemy, function(o, x, y, world)
	CloudEnemy.init(o, x, y, world, {shootEnemy=PollenEnemy, shootTime=.615, animation=flyAnimation, attackAnimation=flyAttackAnimation, settingName='fly_'})
end)
FlyAngryEnemy = class(CloudEnemy, function(o, x, y, world)
	CloudEnemy.init(o, x, y, world, {shootEnemy=PollenEnemy, shootTime=.615, animation=flyAnimation, attackAnimation=flyAttackAnimation, settingName='fly_angry_', tint={255, 100, 100}})
end)
FlyZombieEnemy = class(CloudEnemy, function(o, x, y, world)
	CloudEnemy.init(o, x, y, world, {shootEnemy=PollenEnemy, shootTime=.615, animation=flyAnimation, attackAnimation=flyAttackAnimation, settingName='fly_zombie_', tint={100, 255, 100}})
end)

BeeEnemy = class(CloudEnemy, function(o, x, y, world)
	CloudEnemy.init(o, x, y, world, {shootEnemy=BeePollenEnemy, shootTime=.615, animation=beeAnimation, attackAnimation=beeAttackAnimation, settingName='bee_'})
end)
BeeAngryEnemy = class(CloudEnemy, function(o, x, y, world)
	CloudEnemy.init(o, x, y, world, {shootEnemy=BeePollenEnemy, shootTime=.615, animation=beeAnimation, attackAnimation=beeAttackAnimation, settingName='bee_angry_', tint={255, 100, 100}})
end)
BeeZombieEnemy = class(CloudEnemy, function(o, x, y, world)
	CloudEnemy.init(o, x, y, world, {shootEnemy=BeePollenEnemy, shootTime=.615, animation=beeAnimation, attackAnimation=beeAttackAnimation, settingName='bee_zombie_', tint={100, 255, 100}})
end)

UfoEnemy = class(CloudEnemy, function(o, x, y, world)
	CloudEnemy.init(o, x, y, world, {shootEnemy=UfoBallEnemy, shootTime=.615, animation=ufoAnimation, attackAnimation=ufoAnimation, settingName='ufo_'})
end)
UfoAngryEnemy = class(CloudEnemy, function(o, x, y, world)
	CloudEnemy.init(o, x, y, world, {shootEnemy=UfoBallEnemy, shootTime=.615, animation=ufoAnimation, attackAnimation=ufoAnimation, settingName='ufo_angry_', tint={255, 100, 100}})
end)
UfoZombieEnemy = class(CloudEnemy, function(o, x, y, world)
	CloudEnemy.init(o, x, y, world, {shootEnemy=UfoBallEnemy, shootTime=.615, animation=ufoAnimation, attackAnimation=ufoAnimation, settingName='ufo_zombie_', tint={100, 255, 100}})
end)
